GNU bug report logs - #57543
emacs-telega is broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: André A. Gomes <andremegafone@HIDDEN>; dated Fri, 2 Sep 2022 11:16:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 13 Sep 2022 13:42:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 09:42:34 2022
Received: from localhost ([127.0.0.1]:49354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6BN-0006R7-W1
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:42:34 -0400
Received: from ns13.heimat.it ([46.4.214.66]:59040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oY6BM-0006Qt-32
 for 57543 <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:42:32 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 4D50D30081A;
 Tue, 13 Sep 2022 13:42:25 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id tDPj2uKqiyjt; Tue, 13 Sep 2022 13:42:23 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 1256630080B;
 Tue, 13 Sep 2022 13:42:23 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 5EA581E86455;
 Tue, 13 Sep 2022 15:42:22 +0200 (CEST)
Received: (nullmailer pid 9854 invoked by uid 1000);
 Tue, 13 Sep 2022 13:42:21 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
In-Reply-To: <877d2b56sb.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
 <87zgf8udkr.fsf@HIDDEN> <87zgf861wq.fsf@HIDDEN>
 <87edwksgop.fsf@HIDDEN> <87wnac5ti6.fsf@HIDDEN>
 <877d2b56sb.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 15:42:14 +0200
Message-ID: <87o7vj5r2h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Andr=C3=A9

I was able to swith back to a previous profile generation and use
emacs-telega again, see below

current emacs-telega is still broken, AFAIK

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> Giovanni Biscuolo <g@HIDDEN> writes:

[...]

>> Andr=C3=A9 please could you try to switch back to a previous profile
>> generation and test it, reporting the errors you get in Emacs *Messages*
>> buffer in ~/.telega/telega-server.log (unless you configured another
>> telega directory)?
>
> Hi Giovanni,
>
> I switched back to a previous profile generation and I was able to start
> the telega server only after deleting all database files located at
> ~/.telega/.  Before doing that I was also getting errors.

the last few lines of ~/.telega/telega-server.log could have been
useful so we could compare them with mine, but nevermind

AFAIU just deleting the database files could not be enough since there
could be some "status" (other files in ~/.telega) giving problems

> Some things look off in in *Telega Root* buffer tough, and I can't use
> emacs-telega as before.  I can't say it's working properly.

have you tryed renaming the whole ~/.telega folder to ~/.telega.BACKUP?

> Does this make sense?

Yes it makes sense

> Can you reproduce what I've detailed?

Yes, I renamed the telega folder as suggested above and started
emacs-telega;  I had to authenticate my desktop client again and now
AFAIU all is working as before

[...]

Happy hacking! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMgiLcMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSMMQQAJMWcxWtUDCQRxA2v9VWxMBC2BIoD/oC5urY9SQE
3mFIwVkTZQSWYTJ37oW6YteB56GnsQFBt3NwxIzn2SQm0Y3xhBG9wjoEiPLnL0sQ
Jko+4WP642CnUGYkgZgGE+K+747AyALpFWqWPfzDXotiuHhx92cHb+THc+S2DL+F
+qV/zHSSIiJf28NFHHzJCM3uRV4NMX0QeQunq2JgnrdwyvfX824AsrM0yjnWvaNw
+8t+i02MBIkkvSaJ+4voL3u4jdOnMXMIGSjw42NB7PS5eW8tyLhuA6igvLiH5sIp
JIswuQhb0bcdCUIIBM0u5nxAhvPNJGxi8M0Rcv/t7pqw0yNve4BSjNrOEkWtwQHk
yrkArpBMjfoxWRJ75hbFmEoCZZKd20BdSo9mnaP0O/LPPW4cY8tggEP5aZljeoVB
tVW0D6j6uTwEfnTfejUBCLueTkRKIsYXypWeBvIzgmJbtw6V4UsvpS6wwRrAz27H
NzE7lOXTJWbk3CBPnIJJHx4YADvpNWfFAnytCUEmIDDnGMmrR1yBNwpiu4iG6Z9w
AEkNvnpCpVGgHLE0M5ZttHJrjt1OED7gF0eNWtko438YzbkMrtz6lXRbdu492C7G
DktX3hUZ+Y77DeLe9QsZeUX6hU1qrqpOP7r0/D++fM3p9E8THnjg1D+INZerNAMP
E2a6
=hh0P
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 10 Sep 2022 20:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 16:11:28 2022
Received: from localhost ([127.0.0.1]:40408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oX6p6-0003fe-Ct
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 16:11:28 -0400
Received: from mail-lj1-f178.google.com ([209.85.208.178]:46009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1oX6p2-0003fP-Jy
 for 57543 <at> debbugs.gnu.org; Sat, 10 Sep 2022 16:11:26 -0400
Received: by mail-lj1-f178.google.com with SMTP id y18so6024910ljh.12
 for <57543 <at> debbugs.gnu.org>; Sat, 10 Sep 2022 13:11:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date; bh=tznr7HxhIn3qdFOa9UVM5Bn3THGs4/z2TKMqwLuSNMc=;
 b=kM9+fyLBw7IU/1p/UYvLoW2nLFE5cnV8HPCQie0pxzC2ZfVjmdwpA0+Aqgi4LguwP8
 V70wDYM9g9owDjMGfDeD8snGioCHw444ezTRBCMSKmfZLyKheFh7O6DANFIHAzGj8H99
 rlF3NqciH5gs7u3ckASfCa1oc/SQYoVEnk28T+iN+FdaUiyAblFL0G4qYl1tobcbcNSJ
 Xn95bRHFMjQXRn+lhjZL7720iIcGTZYY1iXB1hc6Lha23XUtDRjWV01mIxp/BKz3U4s1
 OXqN5LlYNxa9NqbtAp2MDbj4lk5Z9pQUJ1lhs/PFR6ln7PYbgZu31KXzmeVGYtiKemsG
 x8XA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=tznr7HxhIn3qdFOa9UVM5Bn3THGs4/z2TKMqwLuSNMc=;
 b=vdXcRmILNxfzUfvpF96m/3cvKHuNuy0ADgirpoNfFnGX9DejU0i8Z7Z3I0tXTlQugN
 669pV90d19wKoRHcw2bw11S3MTb8s5O0iF1q/N3f1yVVlOH2w9vgW6iZMtV1i0SoBDql
 PylfR9o3AsbAhPjAUob6t/KnJ9iQn3cHL9IMc9qOVTbpcZozkPFoYEzFu9PFQPHhWgPE
 RMgZ3GH6tbYRC2zs7f6F+PoYq/5joZxfkS0N977M27FKiM1q66AOFG71A3wgyuPgmB8j
 HrQIA173SHm5IHROkuyX3fa0IWYrZrKU0hCFHP6GRMBg6BojXeWor/7P5FpbJsr2XxaL
 rr+g==
X-Gm-Message-State: ACgBeo3v+e3uWrxwMnDO8svvdUzXmHeTi7dDLo3KTOvo3dou3Qepq743
 gdTI5IXOsZsJecXZYdB/K29lH1Cwly+2HW4d
X-Google-Smtp-Source: AA6agR7Dt+z7G3OtmvwbsLKquPp0hJEadJwSpBspw6HZWUWDPeZ7Zy0fZZVJllaXqL0cMH8MA5sI1g==
X-Received: by 2002:a05:651c:44f:b0:26b:e48e:5b4e with SMTP id
 g15-20020a05651c044f00b0026be48e5b4emr2759642ljg.314.1662840678213; 
 Sat, 10 Sep 2022 13:11:18 -0700 (PDT)
Received: from guix-xps13 (95-29-44-49.broadband.corbina.ru. [95.29.44.49])
 by smtp.gmail.com with ESMTPSA id
 t19-20020ac24c13000000b004996fbfd75esm361171lfq.71.2022.09.10.13.11.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 10 Sep 2022 13:11:17 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
 <87zgf8udkr.fsf@HIDDEN> <87zgf861wq.fsf@HIDDEN>
 <87edwksgop.fsf@HIDDEN> <87wnac5ti6.fsf@HIDDEN>
Date: Sat, 10 Sep 2022 23:11:16 +0300
In-Reply-To: <87wnac5ti6.fsf@HIDDEN> (Giovanni Biscuolo's message of "Fri, 
 09 Sep 2022 19:48:17 +0200")
Message-ID: <877d2b56sb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Giovanni Biscuolo <g@HIDDEN> writes:

> I did it: i switched (--switch-generation=3D) my profile to a previous
> generation (when emacs-telega was running) and telega-server
> (automatically started by telega) is not starting anymore, with the
> error I reported in my previous message
>
> Andr=C3=A9 please could you try to switch back to a previous profile
> generation and test it, reporting the errors you get in Emacs *Messages*
> buffer in ~/.telega/telega-server.log (unless you configured another
> telega directory)?

Hi Giovanni,

I switched back to a previous profile generation and I was able to start
the telega server only after deleting all database files located at
~/.telega/.  Before doing that I was also getting errors.

Some things look off in in *Telega Root* buffer tough, and I can't use
emacs-telega as before.  I can't say it's working properly.

Does this make sense?  Can you reproduce what I've detailed?

Thanks.

--=20
Andr=C3=A9 A. Gomes
"You cannot even find the ruins..."




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 10 Sep 2022 11:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 07:03:12 2022
Received: from localhost ([127.0.0.1]:36729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWyGW-000860-Gw
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 07:03:12 -0400
Received: from ns13.heimat.it ([46.4.214.66]:50950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oWyGR-00085S-9k
 for 57543 <at> debbugs.gnu.org; Sat, 10 Sep 2022 07:03:11 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id DDE7E30022D;
 Sat, 10 Sep 2022 11:03:00 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id KTjXQgJFZ7A1; Sat, 10 Sep 2022 11:02:59 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 5FD4E30022C;
 Sat, 10 Sep 2022 11:02:59 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id CEDC41E6251D;
 Sat, 10 Sep 2022 13:02:58 +0200 (CEST)
Received: (nullmailer pid 10886 invoked by uid 1000);
 Sat, 10 Sep 2022 11:02:58 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Zhu Zihao <all_but_last@HIDDEN>, 57543 <at> debbugs.gnu.org
Subject: Re: bug#57543: emacs-telega is broken.
In-Reply-To: <87tu5g5q5u.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN> <86sfl0oagk.fsf@HIDDEN>
 <87tu5g5q5u.fsf@HIDDEN>
Date: Sat, 10 Sep 2022 13:02:58 +0200
Message-ID: <87r10j5w65.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Giovanni Biscuolo <g@HIDDEN> writes:

[...]

> [1] I had a quich chat with Zajcev Evgeny on the telaga Telegram
> channel and he confirmed that he is still not releasing a new version
> since he is wating a new official tdlib release

for archival purposes, this is a transcript (via telega running on
another machine of mine) of the chat I had with Evgeny:

=2D-8<---------------cut here---------------start------------->8---

(G)=C2=A0Giovanni Biscuolo @gbiscuolo edited at Fri =E2=AE=AA4=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20
=C2=A0=C2=A0=C2=A0=C2=A0Please do you plan to make an officiale release (gi=
t tag) soon?
    Last git tag is for 0.8.03.                                            =
  Fri=E2=9C=94
=E2=B8=A8E=E2=B8=A9=C2=A0Evgeny Zajcev @zevlg=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20
=C2=A0=C2=A0=C2=A0=C2=A0| Reply: @gbiscuolo> Please do you plan to make an =
officiale re...
    Release will be made only after TDLib release and all essential
    features of newly released TDLib being implemented                     =
  Fri
(G)=C2=A0Giovanni Biscuolo @gbiscuolo=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
=C2=A0=C2=A0=C2=A0=C2=A0| Reply: @zevlg> Release will be made only after TD=
Lib release ...
    OK, so the last stable release is still 0.8.03 using Tdlib 1.8.0,
    correct?                                                               =
  Fri=E2=9C=94
=E2=B8=A8E=E2=B8=A9=C2=A0Evgeny Zajcev @zevlg=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20
=C2=A0=C2=A0=C2=A0=C2=A0| Reply: @gbiscuolo> OK, so the last stable release=
 is still 0....
    right, that is how we get it stable                                    =
  Fri
(G)=C2=A0Giovanni Biscuolo @gbiscuolo=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
=C2=A0=C2=A0=C2=A0=C2=A0| Reply: @zevlg> right, that is how we get it stable
    Thanks!                                                                =
  Fri=E2=9C=94

=2D-8<---------------cut here---------------end--------------->8---

This means that telega.el releases are done after (in sync?) tdlib
releases.

Happy hacking! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMcbuIMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSqycP/jlcs206VpQWiULUNnhEorSW17Y60lWRRevxNh9v
ga3mvx0hoHXrRlx2MWe6kQ7wVTKY/TVAP2GdvA7sZ42NE2VJEYFwjDaRHJ614Osk
GvO54gn4aYqokmRm2u94RfbDpgBlZJ5RgH4K2+HWa/TaVodn8b3nQ42qT1e2dzdJ
vbEDEy4xXIwTo7/jvI1wOWT6e1T2thpQglDOfMv0sCcDLpspV5FmLmX34kat2E3m
YS30YiXFK4vXBjDu8HKT/QiqR6ACpAhBzH3GlvzzQ9xUBIzok3t836YaWjpK0CKI
JbUe3LYyKvfA9hXaK+PFoZoiurBRp/htpJYgtyOMv0tMA8rc7Dcylp5/gVnj4Y9b
JS78EuqhIA+knoqD3v6uXC3eU4SJr3SM0ARfBHxNogw1r34X0htRK7PmfvWPS/Zr
2r3kLU0Rtt8AKPEvbg3AWVsYNt4Vf9OrxodqPNo1y3Mm7k/9aiHd5uFRUmP2MS0/
r9vQNMnOil+E7VhrqGijbrANDefdwjl9uN8mQqqRokP41Lol4yfkqAFIdKqWW3PM
sgClPb4LFjb7+rt+SstgwdtWMo7rROFCLN4oj5444iQQN0XdQ4puwLn9S734Vfqi
8T+cC1XPM9/kIsilwwVOFkQX+gtYBu5oTeW23hLuqxOXpyTosPDD1JVrOKUky8jb
FjCH
=OqLv
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 19:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 15:00:43 2022
Received: from localhost ([127.0.0.1]:35484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWjF4-0007sE-MT
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 15:00:42 -0400
Received: from ns13.heimat.it ([46.4.214.66]:42232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oWjF2-0007rz-Hm
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 15:00:40 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id BC0273008B3;
 Fri,  9 Sep 2022 19:00:33 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 87TO8mkBsDTl; Fri,  9 Sep 2022 19:00:32 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 926623008A7;
 Fri,  9 Sep 2022 19:00:31 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id D3AD51E56C5F;
 Fri,  9 Sep 2022 21:00:30 +0200 (CEST)
Received: (nullmailer pid 24974 invoked by uid 1000);
 Fri, 09 Sep 2022 19:00:30 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Zhu Zihao <all_but_last@HIDDEN>, 57543 <at> debbugs.gnu.org
Subject: Re: bug#57543: emacs-telega is broken.
In-Reply-To: <86sfl0oagk.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN> <86sfl0oagk.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 21:00:29 +0200
Message-ID: <87tu5g5q5u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Zhu,

Zhu Zihao <all_but_last@HIDDEN> writes:

> What about update emacs-telega to
> 0.8.44(https://github.com/zevlg/telega.el/commit/2d77c131856c9387a28dd6e4=
a15cef87029c3055)
> ?
>
> I know the guidelines of Guix is package the stable release of software.
> But I found that the telega in current Guix is partially broken(e.g.
> messages with reactions is displayed as "TODO: messageUnsupported")

I understand your needs but, as I already mentioned in a previous
message:

>> [1] I had a quich chat with Zajcev Evgeny on the telaga Telegram
>> channel and he confirmed that he is still not releasing a new version
>> since he is wating a new official tdlib release

so 0.8.44 is "unstable", as is "unstable" tdlib 1.8.4 as also reported
in bug#57017

> But the author of telega doesn't tag a release frequently. If we only
> use the official release, it will be outdated.

what about to have emacs-telega /and/ tdlib packages using a stable
relase and adding emacs-telega-unstable and tdlib-unstable packages
using newer commits?

WDYT?

Happy hacking! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMbjU4MHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSvVgQAIaEogt8YkMAvRRXyTN039QKeInR3W8xgcUCldAD
3GFGMe4yB98uq1YyAnZfJH8LnSOThstQ/7p2Sps/lKE56cly9ZQgPDvlpeZgP9ph
lT80odem9ki0cNBIVVSxGdevzPhZtkQmA3rzQfs3uJV9NWMy3szVzU046GxuWuWQ
Qbfw04o9PTFYXA30amavWt/eVExd0lTfbt2860gLnPdoMY5nbq1/0ZeNaxKNAIfe
Y2j0zcVpnc9qycIhA4HwaEInavzSfpfIZSwgPciTDiFrbJZK6wBiiw9YY99ZnuRp
OoR66E7rLCClfLPumbYICDgOpw7gWQdpU42qVvQ/mdts6ajiOCGqZxWmPyqGR6h1
g6fBt3beY+DDA4pKLtgPnRzNtAnJRBPuw21/Q/BUHQ0gbBPaeR70oA4rVAkAjbUL
nL/NqSm3Icw5p354WyEKL3WqCULlhZQs/8dxTOSZVFwhvM7pFZM4QSZHHCnnnkOl
hGHWePwv0cQCjS/MdoFvRXMDn1P1+8vl/XToeuKZc4AkdkOjMPZifHPTQvitdSuu
x2PL58cWbrOOWrxlap2hU10QM8NIznBY+xF9Uk+CbutUeasvk5OK4kFPBnhrsaf9
1PBj28kCSqKz2/epzrSMhIVVbgGPjFjVlHl1GaIGmiSppSbhN2vMoZApXVPpqbgx
9hM4
=Fy3U
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 17:48:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 13:48:33 2022
Received: from localhost ([127.0.0.1]:35365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWi7E-0007nQ-Vs
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 13:48:33 -0400
Received: from ns13.heimat.it ([46.4.214.66]:41660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oWi79-0007n5-3k
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 13:48:31 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 770583008B3;
 Fri,  9 Sep 2022 17:48:20 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id GVoyTO1gk_rq; Fri,  9 Sep 2022 17:48:19 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 16DAF3008A7;
 Fri,  9 Sep 2022 17:48:19 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 820F11E565C8;
 Fri,  9 Sep 2022 19:48:18 +0200 (CEST)
Received: (nullmailer pid 7655 invoked by uid 1000);
 Fri, 09 Sep 2022 17:48:17 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
In-Reply-To: <87edwksgop.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
 <87zgf8udkr.fsf@HIDDEN> <87zgf861wq.fsf@HIDDEN>
 <87edwksgop.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 19:48:17 +0200
Message-ID: <87wnac5ti6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Andr=C3=A9

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> Giovanni Biscuolo <g@HIDDEN> writes:

[...]

>> If I'm not getting it wrong, reverting the "offending" patch and
>> restoring tdlib to 1.8.0 is not enough for people like us who already
>> upgraded tdlib (and started telega), we need to restore from backups.
>
> Hi Giovanni,
>
> Great investigation, thanks.
>
> I'm a bit confused when you say "restore from backups".  Are you saying
> that, for those who have already upgraded tdlib, it's not sufficient to
> simply switching to an older generation?

I did it: i switched (--switch-generation=3D) my profile to a previous
generation (when emacs-telega was running) and telega-server
(automatically started by telega) is not starting anymore, with the
error I reported in my previous message

Andr=C3=A9 please could you try to switch back to a previous profile
generation and test it, reporting the errors you get in Emacs *Messages*
buffer in ~/.telega/telega-server.log (unless you configured another
telega directory)?

Thanks, Gio'

[...]

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMbfGEMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSIWAQAKm/qsuGW7kuTYtxCraZl9q9nTZTZrPcvbWXq7QU
he1BqOJ66tS7hpmnCP46IGvdz8WeOnIdH+WKm1S7uXd846cJWceTw4PizavSUpGz
geXbujbT5RwCwW0JSssI85XbgxsKn+VHnev0Doicn/vgixSecsJbN8w1e5sdEbmm
D99np7U0HC1VLT/xT0+NuuZ+t2pPETdC5qJz+omRCoUCe5+XlGWIqdmQanoLH2KY
7P0SoPvu/DClHbgEsnivIJTv9rupG1UIRstoddGzrVnHz2jE1ZU4RPXuhvhD78gw
lz2AglhgUA5+IVHKNVvMWq/zHla00t2sn1CI2hmcQZRGCgJLin+aE2JjZYjKddGA
PDGdYK5nPR/+lIiYNt/iOCZpcPeEOQfuhOnO1//EFyIo0UAmPOIDHpBGvfL96MWD
RmbDfBGFuyfpPXFDK8nGFndfFvVIooxeRkKZMZsMe/4qBXxxaSjSK0OkQJ3vHSKn
Dby4JCxgT6Zjh4B45grRdQ0egMT+u3dv4tULD4y4d64RkLG+oLxZlCIhZ56OXYPS
558IlrVR9B3JVeVKyAqR2VGLiQZDmOEWPSr29BWojjOPmNx80N77mWop+wO4SZtX
CGA4yC+wdGwgClxeUmS68mkBGnVuy81BCiw0L/3H9RuGiUNMxRuOCq2iti/iS6Aq
J9ZU
=wFyx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 15:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 11:36:51 2022
Received: from localhost ([127.0.0.1]:35059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWg3n-0003tN-G2
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 11:36:51 -0400
Received: from mail-lf1-f45.google.com ([209.85.167.45]:40644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1oWg3l-0003t9-9X
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 11:36:49 -0400
Received: by mail-lf1-f45.google.com with SMTP id bq23so3334030lfb.7
 for <57543 <at> debbugs.gnu.org>; Fri, 09 Sep 2022 08:36:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date; bh=SfIPtMdhkd1au1TwFAhrZELfgGJIqFcLi38nsN5AHDM=;
 b=jri3+w5WZ2dbiCra5aERUmJIqzTzULu58gKWzHMPvdHgrH/FFSB3zqAVhMtXvsD4sG
 Hyz+5vqF/emMg/BV2feZkNcw+B2y1/OG/GDMjeU6RiHDHeEe7p4f58/1+7X0/I2CGO6f
 rOM9yLkQpw54TfISLftKFaQAK+LX0YStynBZpVTmRZWe+3Wg0omT8FR0vScA5pIqh5fv
 ku8Ydhq3jVWuclg8eXsLFPnHxfkvcRMwl5OsdeZUVM1rGdfqArj/RAvMB1q5HNyV38WN
 ZPKRdpYG/v37XTf7mfpZ8Vr8AQhVJ1UVIVLDRbwHeMG5sVIKFJ9+1BXwUDw8Gjb0xtuF
 s0rQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=SfIPtMdhkd1au1TwFAhrZELfgGJIqFcLi38nsN5AHDM=;
 b=Wic1eYTQMA6gqcjlZoqtAGiQCOsnQjW+oEn1aJk+HfixS1F1O6n4j5qN6FDiI5pLm9
 bviahtKpTY+KQ2hi3yK4ElME3yn+w9ONl3r7hRuMsrZqb4IicqG1Xzaks9p6JSeN3LA0
 aF1avRGiCAqkE9I4KS0wYHVtB4iLmckBbC+aekuKtPjS2eJoZWppAkvHWjyrhBCqPJuX
 5f5w+KOkX+vl98nmEixvM+xuCmoPJWxqhXIvsKpRcYAotkLhiHfBFsuRcHF2T3LIG9yO
 21swOUHJJIY96ORRw19RhF4Uo3mOPKDaRl/otqnuC2865y26mLrBQUULuNJB+CE9y/DP
 hjxg==
X-Gm-Message-State: ACgBeo1vNbrc2WcF5by+HpvdrVD+k2lJaMMVzny4mdAHlb6RpRA30zvT
 El9jra2voc85SyQOeFzE1ZWHfwN0RMRXNw==
X-Google-Smtp-Source: AA6agR4Zr6lx1NPsXa496IYuC/omViPyRFb9U2J4PM66hPH98BbAXEB1VzP6iLXEm4ck7zKHLuVSRg==
X-Received: by 2002:ac2:5bc3:0:b0:498:ff9:1cd1 with SMTP id
 u3-20020ac25bc3000000b004980ff91cd1mr3296994lfn.479.1662737802794; 
 Fri, 09 Sep 2022 08:36:42 -0700 (PDT)
Received: from guix-xps13 (95-29-44-37.broadband.corbina.ru. [95.29.44.37])
 by smtp.gmail.com with ESMTPSA id
 v22-20020a05651203b600b00494747ba5f7sm115428lfp.272.2022.09.09.08.36.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 09 Sep 2022 08:36:42 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
 <87zgf8udkr.fsf@HIDDEN> <87zgf861wq.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 18:36:38 +0300
In-Reply-To: <87zgf861wq.fsf@HIDDEN> (Giovanni Biscuolo's message of "Fri, 
 09 Sep 2022 16:46:45 +0200")
Message-ID: <87edwksgop.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Giovanni Biscuolo <g@HIDDEN> writes:

> AFAIU when I ran telega with the new tdlib verson, the database got
> upgraded and the new database version is not compatible with the old
> tdlib library; there is an old (Mar 2021) telega.el issue that helped me
> understand this one: https://github.com/zevlg/telega.el/issues/276
>
> If I'm not getting it wrong, reverting the "offending" patch and
> restoring tdlib to 1.8.0 is not enough for people like us who already
> upgraded tdlib (and started telega), we need to restore from backups.

Hi Giovanni,

Great investigation, thanks.

I'm a bit confused when you say "restore from backups".  Are you saying
that, for those who have already upgraded tdlib, it's not sufficient to
simply switching to an older generation?


--=20
Andr=C3=A9 A. Gomes
"You cannot even find the ruins..."




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 15:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 11:05:33 2022
Received: from localhost ([127.0.0.1]:34987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWfZV-00034P-F0
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 11:05:33 -0400
Received: from mail-m972.mail.163.com ([123.126.97.2]:6249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <all_but_last@HIDDEN>) id 1oWfZQ-000343-Fo
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 11:05:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=2YFqd
 TdODwUEnOeAT9uCie9yhARicn+0sDg7K2IKs5U=; b=HyYALINf8UCA/+hwgOgKC
 ADMOsHd4wj5tgCBLlK+388rlSDDGaP44F/MWSzllcGtZJnm7nHfhG5w7ozMwQGF1
 VOhlU0R98Q9jL4pvfh2osMSIqnFUZ5hfgrAAqXgQr0Ixdd+BmqMFli7I8BaUjIa7
 GNDBf3MnFj2wdJ+WWQgcVA=
Received: from asus-laptop (unknown [163.125.249.61])
 by smtp2 (Coremail) with SMTP id GtxpCgAnfhUqVhtjURO4cA--.16451S2;
 Fri, 09 Sep 2022 23:05:15 +0800 (CST)
User-agent: mu4e 1.8.9; emacs 29.0.50
From: Zhu Zihao <all_but_last@HIDDEN>
To: 57543 <at> debbugs.gnu.org
Subject: Re: emacs-telega is broken.
Date: Fri, 09 Sep 2022 22:58:40 +0800
Message-ID: <86sfl0oagk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CM-TRANSID: GtxpCgAnfhUqVhtjURO4cA--.16451S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjTRVT5HDUUUU
X-Originating-IP: [163.125.249.61]
X-CM-SenderInfo: pdoosuxxwbztlvw6il2tof0z/xtbBaw53r1et6dOe2wABs5
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

What about update emacs-telega to
0.8.44(https://github.com/zevlg/telega.el/commit/2d77c131856c9387a28dd6e4a1=
5cef87029c3055)
?

I know the guidelines of Guix is package the stable release of software.
But I found that the telega in current Guix is partially broken(e.g.
messages with reactions is displayed as "TODO: messageUnsupported")

But the author of telega doesn't tag a release frequently. If we only
use the official release, it will be outdated.
=2D-=20
Retrieve my PGP public key:

  gpg --recv-keys B3EBC086AB0EBC0F45E0B4D433DB374BCEE4D9DC

Zihao

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIsEARYIADMWIQT4UAIrVkIEZilSHr2K2nJqP6LM8gUCYxtWCxUcYWxsX2J1dF9s
YXN0QDE2My5jb20ACgkQitpyaj+izPIiXgEA0UEY/hHTf+5JSPfIGADn6vb2ASYV
w8WRY224MKxxrsEA/iC4G49vKJTM20VgjOq+VXOP+9Ief0QXpTtDhx9VW98M
=cmiS
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 14:46:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 10:46:58 2022
Received: from localhost ([127.0.0.1]:34940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWfHV-0002Xf-VS
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 10:46:58 -0400
Received: from ns13.heimat.it ([46.4.214.66]:40214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oWfHS-0002XN-Hc
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 10:46:56 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 90D113008B3;
 Fri,  9 Sep 2022 14:46:48 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dgt1JsAEOdst; Fri,  9 Sep 2022 14:46:46 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id CDFBD3008A7;
 Fri,  9 Sep 2022 14:46:46 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 3B1B11E558D8;
 Fri,  9 Sep 2022 16:46:46 +0200 (CEST)
Received: (nullmailer pid 6707 invoked by uid 1000);
 Fri, 09 Sep 2022 14:46:45 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
In-Reply-To: <87zgf8udkr.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
 <87zgf8udkr.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 16:46:45 +0200
Message-ID: <87zgf861wq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Andr=C3=A8

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

[...]

> Hi Giovanni,
>
> Thanks for investigating.  I think you're right.  Either reverting or
> updating the emacs-telega package definition (needs to be tested
> still).

I also updated the related bug#57017: tdlib v.1.8.4 has not been
released yet (see bug#57017 for details), the last stable release of
tdlib is still 1.8.0, and consequently the last stable release of
emacs-telega is still 0.8.03 [1] that is compatible with thed tdlib
version

> I'd revert it right away, since it's broken as of now.  I don't have
> commit access.  Ludovic, could you please do it?

unfortunately the bug is worst than I imagined: I was (easily) able to
switch my dedicated emacs profile to a previously running version (via
=2D-switch-generation=3D) and started a new emacs named server

running "M-x telega" I get this in the **Messages** buffer:

=2D-8<---------------cut here---------------start------------->8---

[6]telega-server: annullato
Error running timer =E2=80=98telega-server--idle-timer-function=E2=80=99: (=
error "telega-server is not running")

=2D-8<---------------cut here---------------end--------------->8---

("annullato" means aborted)

this is the error I get in ~/.telega/telega-server.log:

=2D-8<---------------cut here---------------start------------->8---

[ 0][t 4][1662729492.673026323][LogEvent.h:135][#1][!Td][&version() < stati=
c_cast<int32>(Version::Next)]	Wrong version 41

=2D-8<---------------cut here---------------end--------------->8---

AFAIU when I ran telega with the new tdlib verson, the database got
upgraded and the new database version is not compatible with the old
tdlib library; there is an old (Mar 2021) telega.el issue that helped me
understand this one: https://github.com/zevlg/telega.el/issues/276

If I'm not getting it wrong, reverting the "offending" patch and
restoring tdlib to 1.8.0 is not enough for people like us who already
upgraded tdlib (and started telega), we need to restore from backups.

WDYT?

Happy hacking! Gio'


[1] I had a quich chat with Zajcev Evgeny on the telaga Telegram channel
and he confirmed that he is still not releasing a new version since he
is wating a new official tdlib release

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMbUdUMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSYngP/0VMt8zE++MF+Ie3xTvu2imlp2bt9+cS+WxW5fIa
CQrvi9EThdFKhhZhQ7EgPegCuWiJ0/E7aH/3ddUGXHrj+xcQammJgisvw0MzA5cb
hyQU+DqsH2kX1SKmqEqOy5olLniC4G5o/7w495B5iSTK70Hz/3wX1k6D4HzS60xE
PR5+VgnvddUT5OIkWhrZzKcTqdJBbm0xZZT9idbi8cOzpodqZ4RtntbVejhj2PaJ
5xUBBu1dQJUON0blzSwKjv4Xfrzwi/3thoDzl95Zn0BB0E08uyOPQXrE6C7xKMqq
TqNMTl+VFSM3UfQD/fllbvwB830CQUl5MbKQjVxzC53RHLlBkOd5fo4Z46y55r3P
7GBYVlQLFNAA/PX/RTpkiG1E3Kq01eHRF1BVhGuzeODb6rhNtZy8xvpvAI0zkdxl
hZ3uBRy4kjxk5SAoknwp4Rv1OlRLkJ9QmC9Fr08k8huGM0EJBRIPIaY6RpRiASPr
onSOGbeFZzJNfC6dApfaN69fgRDDIegMj9JdsOr+5YPk8fucCfoQpwCb0sPHs7W3
CrhTjT8F3j1Qip0+97dOpnBR+741Pggz14ZnNsNXrX0h47TNYSkZAG1bNie8CEZM
1gMq191prKtsuhcMUz8fYffcsdu6NTk6q9EONwJu6yoj9YEOzhrZYMWfPLeKgFHo
kBTJ
=+s5+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 9 Sep 2022 09:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 05:01:02 2022
Received: from localhost ([127.0.0.1]:60872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWZsj-0007np-Pc
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 05:01:02 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:42606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1oWZsi-0007nM-Cx
 for 57543 <at> debbugs.gnu.org; Fri, 09 Sep 2022 05:01:00 -0400
Received: by mail-lf1-f47.google.com with SMTP id m15so1565993lfl.9
 for <57543 <at> debbugs.gnu.org>; Fri, 09 Sep 2022 02:01:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date; bh=L4jvQ6BV8ObPvHzQrQ3ekPm1DG3qPwz27lF8ecvCPv0=;
 b=K4LpROwy72Mzo4asventLjRZRw1x3dtHXtiRu3rh1U7ndHKSxQZgmA4p+Jn0W9unUS
 21H0CFXLsuyZvN6i60zKYmyZqa65I3Liz7N8Qt+ByNR/rZJ/VyNhTPmZfjvuSgttFWA7
 PBrm0hIx5zkAZkEuXlNAedA2hq0hV8RZ4X+jNIzGzozXU9G7LU6Tgu+PeiOClrnnFvvP
 xXBrGEG+Eaw33u+n1odmtZCDbnjrR37Ixk6XpoeFZEr2hCiwBcN2uRpRgYLie9NoWU4w
 KZdXHDB/mv0Xq91Kyys7JywrRkKrTMmpApyCtuxvpIqur9UJjp9um2kuPU/6k+SkoNQj
 mi5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=L4jvQ6BV8ObPvHzQrQ3ekPm1DG3qPwz27lF8ecvCPv0=;
 b=rwpR2KnWpPMp+ImmBNsF5lwr0ccCzqQIr7c/NdIK+rD8ibMzT+qtOjU1QDg71vx9TE
 szg1h87ES63aIxUJ/aZczjqE3NNfLEmNqcHJt4q1DmULAj+7+xC29+mK8wdVhGF4S73W
 GFV1B8NKeNWer7LhgWsCQAO98EaO5WVoTG6wCOK2F5hVV2y07AA0/Sv8jcfLa3Jpw/7k
 4VDkNd4EvUKlWt+G7HALkkWaHFJEwU3CQiyZnAbGqJVHq/+zxzcRdavM3Fq3UQhYN6fX
 tGyt8eTLn5rMJdQiuvwNNtuTM5BISx53pu7L9ob97i9aEW8/p6AVqIe0czB2AYInFsIQ
 fpMA==
X-Gm-Message-State: ACgBeo3Lurfuv1XNAHhwtY2JJkUBCHM8vPCBFHZmWvpL5FJkIv35NG8Y
 1axZKilj5NCqMvVK6mbtsjab/dnVd70PSl11
X-Google-Smtp-Source: AA6agR4g5UvkTgaKpaOTHoOq+2LP8ydcBsmM7F8hQ6dRY8tf6AsRUqE+NEg3XDMxO7PyjiQ+fMhbYA==
X-Received: by 2002:ac2:5d2c:0:b0:493:221:f011 with SMTP id
 i12-20020ac25d2c000000b004930221f011mr3879573lfb.349.1662714054102; 
 Fri, 09 Sep 2022 02:00:54 -0700 (PDT)
Received: from guix-xps13 (95-29-44-37.broadband.corbina.ru. [95.29.44.37])
 by smtp.gmail.com with ESMTPSA id
 x10-20020ac259ca000000b00492e570e036sm2887lfn.54.2022.09.09.02.00.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 09 Sep 2022 02:00:53 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>
Subject: Re: bug#57543: emacs-telega is broken
References: <87zgfido2k.fsf@HIDDEN> <87czc57nrc.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 12:00:52 +0300
In-Reply-To: <87czc57nrc.fsf@HIDDEN> (Giovanni Biscuolo's message of "Thu, 
 08 Sep 2022 19:57:11 +0200")
Message-ID: <87zgf8udkr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 57543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Giovanni Biscuolo <g@HIDDEN> writes:

> Currently packaged emacs-telega is v.0.8.03, the
> telega-tdlib-max-version defined for that version is "1.8.0" [1]
>
> The latest version of telega.el in master (defined as Version 0.8.44 in
> metadata) [2]: it does support tdlib 1.8.4, but unfortunately uspream is
> not releasing (via git tag) since v.0.8.03: should we use the commit
> hash c547477be39298eabf8e67f0116a115771f2ee0b to upgrade emacs-telega to
> the last upstream version?
>
> Meanwhile, since tdlib now is only used by emacs-telega[-server] we
> should temporary revert this commit, unless there are security concerns.
>
> WDYT?

Hi Giovanni,

Thanks for investigating.  I think you're right.  Either reverting or
updating the emacs-telega package definition (needs to be tested still).

I'd revert it right away, since it's broken as of now.  I don't have
commit access.  Ludovic, could you please do it?

Thanks.


--=20
Andr=C3=A9 A. Gomes
"You cannot even find the ruins..."




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at 57543 <at> debbugs.gnu.org:


Received: (at 57543) by debbugs.gnu.org; 8 Sep 2022 17:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 13:57:28 2022
Received: from localhost ([127.0.0.1]:60040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWLmK-0001jD-9d
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2022 13:57:28 -0400
Received: from ns13.heimat.it ([46.4.214.66]:57528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1oWLmF-0001ix-UA
 for 57543 <at> debbugs.gnu.org; Thu, 08 Sep 2022 13:57:26 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 3A88B3008B3;
 Thu,  8 Sep 2022 17:57:17 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id zx2YEEU4Hkq4; Thu,  8 Sep 2022 17:57:14 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 5CD103008A7;
 Thu,  8 Sep 2022 17:57:14 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id BF9CC1E4997B;
 Thu,  8 Sep 2022 19:57:13 +0200 (CEST)
Received: (nullmailer pid 2714 invoked by uid 1000);
 Thu, 08 Sep 2022 17:57:13 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>,
 57543 <at> debbugs.gnu.org
Subject: Re: bug#57543: emacs-telega is broken
In-Reply-To: <87zgfido2k.fsf@HIDDEN>
Organization: Xelera.eu
References: <87zgfido2k.fsf@HIDDEN>
Date: Thu, 08 Sep 2022 19:57:11 +0200
Message-ID: <87czc57nrc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57543
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Andr=C3=A9 and Ludo`

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> The latest emacs-telega raises the following warning:
>
> --8<---------------cut here---------------start------------->8---
> Warning (emacs): TDLib version=3D1.8.4 > 1.8.0 (max required), please dow=
ngrade TDLib and recompile =E2=80=98telega-server=E2=80=99 Disable showing =
Disable logging
> --8<---------------cut here---------------end--------------->8---

I can confirm this bug

> Please revert the following commit:
>
> --8<---------------cut here---------------start------------->8---
> 80df3ffb4fba19c9711ca912503df01cd2c9dc96
> Author:     Zhu Zihao <all_but_last@HIDDEN>
> AuthorDate: Sat Aug 6 23:12:17 2022 +0800
> Commit:     Ludovic Court=C3=A8s <ludo@HIDDEN>
> CommitDate: Thu Sep 1 00:57:10 2022 +0200
> --8<---------------cut here---------------end--------------->8---

Currently packaged emacs-telega is v.0.8.03, the
telega-tdlib-max-version defined for that version is "1.8.0" [1]

The latest version of telega.el in master (defined as Version 0.8.44 in
metadata) [2]: it does support tdlib 1.8.4, but unfortunately uspream is
not releasing (via git tag) since v.0.8.03: should we use the commit
hash c547477be39298eabf8e67f0116a115771f2ee0b to upgrade emacs-telega to
the last upstream version?

Meanwhile, since tdlib now is only used by emacs-telega[-server] we
should temporary revert this commit, unless there are security concerns.

WDYT?

Thanks! Gio'


[1] https://github.com/zevlg/telega.el/blob/v0.8.03/telega.el

[2] https://github.com/zevlg/telega.el/blob/master/telega.el

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmMaLPcMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSMDwQALDpmlwg9X3c88HZVkSgcWmqwp0bnZvNnwxFHtTg
VUiYPw9/T/ifH4RMJpPOVuVyPtSy97ddPyk0yM6yqGSG6eqD3cuEj61KnJlEHxGo
T+ymb0LK9WkfSjQs8sJsLgdR0ian41ceYfdyltQOkvhqmUfTUySHiK7lPvg3bPY/
TNR+b3bVwM6DJ+eDv2mGUt+X1sXSbzJWEromjDWDlYUsLF5LfczVBYJwQO42hdIh
/zr4smznigInSSmoGxgux2KmUkTPNT6Lt7jbphU0J9OknJ2EscrtH2C3YQUND0Sm
5bT+ScG9nOyjllwz1Qg86qyxue3gKc3kG61JC8q3JHkC343jV+SRdLowcGYVJyks
BzDrWEB1IEE5s2DcBhAsk1UtPc3vvKzYp3EwgsVV5Upx9zvtnQmBZA7tarKd+sv/
k9Cg1z80gRlU7cPlybulzUZ+EXJ9wPeYRSvNNCTCa7F6MVkj1Ccu+7xFq35Ju6rC
WR/OD2Z/s2AhY1bSN0THOYyIWOxJMkD2Yuw4K1cKRjGJcpBXpUPE7ncRMVtDU/Q9
AfBj3lKceoVLMN4y9KwtnnhW8geqsDOKEbBDfP2efSZH7dS5pkNSshYKLqj0Cv7N
26xrey94pgrXxaMPv031nNgRBGAuMTWE1YgctIqBqpGlgSbuzgGporKnvdnnTkiw
ltFX
=Hrvx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2022 11:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 07:15:59 2022
Received: from localhost ([127.0.0.1]:45059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oU4eU-00070W-Ke
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:15:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:36738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1oU4eS-00070N-IV
 for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 07:15:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50366)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1oU4eP-0005lF-5k
 for bug-guix@HIDDEN; Fri, 02 Sep 2022 07:15:54 -0400
Received: from mail-lf1-x12e.google.com ([2a00:1450:4864:20::12e]:33476)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1oU4eN-0005zH-Gq
 for bug-guix@HIDDEN; Fri, 02 Sep 2022 07:15:52 -0400
Received: by mail-lf1-x12e.google.com with SMTP id br21so2894180lfb.0
 for <bug-guix@HIDDEN>; Fri, 02 Sep 2022 04:15:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :subject:to:from:from:to:cc:subject:date;
 bh=a38dscbCgLgb6CzSnGbVDpBwABk3xYsB4CyvG8fufP4=;
 b=d5KLFPSb62TReLQL6zPUPsAqwbc+NaMJmLM5g/+G+cuRgKZIrK3t+Zg5llpMrqN8EI
 hZH2lRLsCEMjvqpIQWfWyJrQL/bmnBkckYX+P/N06JO8ankQ9vZlXWWol5mwmLkCNV1w
 QhgmECxDLRlof4W41PPpGY5dekCmJuxMJxazZo224g70hlX1Kx9AWDWp9w/69Sh+oJLQ
 cI+Sh00nis97BqifkAmn0wp9Ex41bLBropxsIXFV73XkGcLjuSXD/iDv5yxSL+aO28fD
 FEh1LZnE0H89rcF58N1C74orCXkDdoMG+hE7tJ5lPAYbgx7BuirceuWSjhbkXxEfw97d
 ZxcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=a38dscbCgLgb6CzSnGbVDpBwABk3xYsB4CyvG8fufP4=;
 b=dbgm3EaeoW5hmU8fRBhaGJYQQx1iFD+TpSfv6DABxzQlIHNh/zVk9mxYK5H/se6PGN
 v1kmOWJFYX/3m3PpfYFgpLB8L2iiEOtyVuETBXT76SBaw7EWppsIhHbkjyLzXYTMlN55
 veUcceYCMQeEEsmbAjLcR4dxC1chebbdPewzZL73HmWjIQCBJ8qvloqHn51ncxDxWQBX
 HCFFr9mpq5XgJxhEUogKVSSngmgvCnw7sl72Z0R97c4eArG9Ld6MYygtARJ+Qqhz9nIT
 p5x5s26tuC/KXgGm9LT/tRj5HHUer2KIdp3r4JoXB/TSVeuShOzgozyMo2CA/fwWWXFf
 PMNg==
X-Gm-Message-State: ACgBeo3jgwhV1CUO9oew+ULDIYyQ22FfXcHzQz1W41xkE/8OdmX+LDh4
 wLeFLAHzbh0b6RqV+Lb3nphZFT0qDQkuBoT5
X-Google-Smtp-Source: AA6agR4QJeKEM1slyi/iKjJx6jzP3xxj8nOor9I3WR/13Ip6vtSn0YmkJ5Vpw/XZmuVHNV0RN+wyow==
X-Received: by 2002:a19:6d0b:0:b0:494:662e:e0e4 with SMTP id
 i11-20020a196d0b000000b00494662ee0e4mr9242844lfc.194.1662117349202; 
 Fri, 02 Sep 2022 04:15:49 -0700 (PDT)
Received: from guix-xps13 (95-27-197-116.broadband.corbina.ru. [95.27.197.116])
 by smtp.gmail.com with ESMTPSA id
 g3-20020a2ea4a3000000b0026707e5a611sm158138ljm.20.2022.09.02.04.15.47
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 02 Sep 2022 04:15:48 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: bug-guix@HIDDEN
Subject: emacs-telega is broken
Date: Fri, 02 Sep 2022 14:15:47 +0300
Message-ID: <87zgfido2k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::12e;
 envelope-from=andremegafone@HIDDEN; helo=mail-lf1-x12e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Guix,

The latest emacs-telega raises the following warning:

--8<---------------cut here---------------start------------->8---
Warning (emacs): TDLib version=3D1.8.4 > 1.8.0 (max required), please downg=
rade TDLib and recompile =E2=80=98telega-server=E2=80=99 Disable showing Di=
sable logging
--8<---------------cut here---------------end--------------->8---

Please revert the following commit:

--8<---------------cut here---------------start------------->8---
80df3ffb4fba19c9711ca912503df01cd2c9dc96
Author:     Zhu Zihao <all_but_last@HIDDEN>
AuthorDate: Sat Aug 6 23:12:17 2022 +0800
Commit:     Ludovic Court=C3=A8s <ludo@HIDDEN>
CommitDate: Thu Sep 1 00:57:10 2022 +0200
--8<---------------cut here---------------end--------------->8---

Thanks.


--=20
Andr=C3=A9 A. Gomes
"You cannot even find the ruins..."




Acknowledgement sent to André A. Gomes <andremegafone@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57543; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Sep 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.